<!DOCTYPE html>
<html>

<head>
    <title>Danh sách đơn hàng</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src=" https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <style>
        .overlay {
            position: fixed;
            width: 100%;
            height: 100%;
            z-index: 1051;
            opacity: 0.5;
            background: var(--light);
            display: flex;
            justify-content: center;
            align-items: center;
        }
    </style>
</head>


<body onload="onPageLoading()">
    <div class="container">
        <div class="overlay">
            <div class="spinner-border" role="status" style="width: 3rem; height: 3rem; z-index: 20;">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
        <h1 class="text-center text-info">DANH SÁCH ĐƠN HÀNG</h1>
        <table id="table-order-list" class="table table-striped table-bordered table-hover">

        </table>
    </div>

    <!--  MODAL EDIT ORDER -->
    <div class="modal modal-edit" tabindex="-1" id="modal-update-product">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title mr-3" style="margin:auto">CHI TIẾT ĐƠN HÀNG - MÃ: RGEELP</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row">
                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-5">
                                        <label for="input-edit-firstName">Họ và đệm<span
                                                class="text-danger">(*)</span></label>
                                    </div>
                                    <div class="col-7">
                                        <input type="text" class="form-control" id="input-edit-firstName">
                                    </div>
                                </div>
                                <div class="invalid-feedback"></div>
                            </div>

                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-5">
                                        <label for="input-edit-lastName">Tên<span class="text-danger">(*)</span></label>
                                    </div>
                                    <div class="col-7">
                                        <input type="text" class="form-control" id="input-edit-lastName">
                                    </div>
                                </div>
                                <div class="invalid-feedback"></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-5">
                                        <label for="input-edit-email">Email <span class="text-danger">(*)</span></label>
                                    </div>
                                    <div class="col-7">
                                        <input type="email" class="form-control" id="input-edit-email">
                                    </div>
                                </div>
                                <div class="invalid-feedback"></div>
                            </div>

                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-5">
                                        <label for="input-edit-phone">Phone<span class="text-danger">(*)</span></label>
                                    </div>
                                    <div class="col-7">
                                        <input type="number" class="form-control" id="input-edit-phone">
                                    </div>
                                </div>
                                <div class="invalid-feedback"></div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-3" style="padding-right:0px">
                                    <label for="input-edit-address">Address</label><span class="text-danger">(*)</span>
                                </div>
                                <div class="col-9" style="padding:0px;margin-left:-16.8px">
                                    <input type="text" class="form-control" id="input-edit-address">
                                </div>
                                <div class="invalid-feedback"></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-5" style="padding-right:0px">
                                        <label for="edit-select-payment">Payment Method<span
                                                class="text-danger">(*)</span></label>
                                    </div>
                                    <div class="col-7">

                                        <select class="form-control" name="address" id="edit-select-payment">
                                            <option value="">Chọn phương thức thanh toán</option>
                                            <option value="Paypal">Paypal</option>
                                            <option value="CreditCard">Credit Card</option>
                                            <option value="BankTransfer">Bank Transfer</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="invalid-feedback"></div>
                            </div>

                            <div class="col-6 form-group">
                                <div class="row">
                                    <div class="col-5">
                                        <label for="input-edit-discount">Mã giảm giá <span
                                                class="text-danger">(*)</span></label>
                                    </div>
                                    <div class="col-7">
                                        <input type="number" class="form-control" id="input-edit-discount">
                                        <i>(Được giảm 10%)</i>
                                    </div>
                                </div>
                                <div class="invalid-feedback"></div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Hủy</button>
                    <button id="btn-edit" type="button" class="btn btn-success">Cập nhật</button>
                </div>
            </div>

        </div>
    </div>
    <!-- CONFIRM DELETE ORDER  -->
    <div class="modal modal-delete" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Bạn chắc chắn muốn xóa đơn hàng này?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button id="btn-confirm" type="button" class="btn btn-primary">Confirm</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="admin.js"></script>

</html>